Bug 4932 - invalid ssh-askpass dependencies
: invalid ssh-askpass dependencies
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gftp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-04 10:36 by
Modified: 2006-02-16 00:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-04 10:36:02
Прошу убрать зависимость от x11-ssh-askpass, а если askpass необходим, то
взамен
прописать gtk2-ssh-askpass. Поскольку gftp и сам на gtk2, то такая замена резко
улучшит единообразие пользовательского интерфейса при сохранении
функциональности. 

Впервые увидев x11 askpass я даже не сразу понял, что это такое %!.
------- Comment #1 From 2004-08-04 11:18:31 -------
*** Bug 4933 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2004-08-04 12:38:52 -------
Correct, you should change dependence from
x11-ssh-askpass + gtk2-ssh-askpass
to
/usr/lib/openssh/ssh-askpass

$ rpmquery --whatprovides /usr/lib/openssh/ssh-askpass
x11-ssh-askpass-1.2.4.1-alt1.1
gtk2-ssh-askpass-3.6.1p1-alt1.1
------- Comment #3 From 2004-08-04 16:03:49 -------
При этом очень желательно запускать именно gtk2-ssh-askpass в ориентированной
на
GNOME среде.
------- Comment #4 From 2004-10-19 14:11:04 -------
не мой пакет 
------- Comment #5 From 2004-10-20 00:26:18 -------
(In reply to comment #0) 
> Прошу убрать зависимость от x11-ssh-askpass, а если askpass необходим, то 
взамен 
> прописать gtk2-ssh-askpass. Поскольку gftp и сам на gtk2, то такая замена 
резко 
> улучшит единообразие пользовательского интерфейса при сохранении 
функциональности.  
>  
На самом деле была зависимость и на x11-ssh-askpass и на gtk2-ssh-askpass. 
Это историческое наследие. На x11-ssh-askpass я уберу и как только смогу 
залью в incoming... 
 
 
 
------- Comment #6 From 2004-12-10 02:07:28 -------
Исправлено в версии gftp-2.0.18rc1-alt1